# Interface Ticker

All Known Implementing Classes:
  `BasicTicker, PrefixTicker, SlaveTicker`

public interface Ticker
Provides tick marks to label plot axes.

Since:
  17 Oct 2013
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`TickRun`
`getTicks(double dlo, double dhi, boolean withMinor, Captioner captioner, Orientation[] orients, int npix, double crowding)`
Generates tick marks for labelling a plot axis.

## Method Details

### getTicks

TickRun getTicks(double dlo, double dhi, boolean withMinor, Captioner captioner, Orientation[] orients, int npix, double crowding)
Generates tick marks for labelling a plot axis.

The supplied list of orientations is attempted in order; if the required crowding can be satisfied by any of them, that orientation will be used. If it can't be supplied by any (because of unavoidable label overlap) a lower crowding value may be used.

Parameters:
  `dlo` - minimum axis data value
  `dhi` - maximum axis data value
  `withMinor` - if true minor axes are included, if false only major (labelled) ones are
  `captioner` - caption painter
  `orients` - array of label orientations in order of preference, must contain at least one element
  `npix` - number of pixels along the axis
  `crowding` - 1 for normal tick density on the axis, lower for fewer labels, higher for more
Returns:
  tick array along with orientation actually used